default['redis']['version'] = '3.2.11'
default['redis']['url'] = 'http://download.redis.io/releases/redis-%{version}.tar.gz'

default['redis']['service_name'] = 'redis'
default['redis']['service_user'] = 'redis'
default['redis']['service_group'] = 'redis'

default['redis']['prefix_root'] = node['ark']['prefix_root']
default['redis']['prefix_bin'] = node['ark']['prefix_bin']
default['redis']['prefix_home'] = node['ark']['prefix_home']

default['redis']['config_path'] = '/etc/redis.conf'
default['redis']['config'] = {
  'supervised' => 'systemd',
  'logfile' => '/var/log/redis/redis.log',
  'dir' => '/var/lib/redis/redis',
}
